# App installed

A decision block that checks if an app is installed, or not.

If the proceed option is set to Immediately, then check if the app is currently installed, or not, without pausing the fiber. If set to When changed, then the fiber will pause until the app is installed, or uninstalled.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Package — package name of the app to check.

## Output variables

- Package — variable to assign the package name of the installed/uninstalled app.
- Display name — variable to assign the display name of the installed app.
- Version code — variable to assign the numeric version code of the installed app.
- Version name — variable to assign the version name (as seen in Apps settings) of the installed app.
- Cache size — variable to assign the size of cache currently used by the app, in bytes.
- Data size — variable to assign the size of data currently used by app, in bytes.
- Code size — variable to assign the size of the APK for the app, in bytes.
- APK paths — variable to assign an array of paths to APKs for the app, first is base APK, followed by any split APKs.